LotusSpreadsheetInternal::Cell Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Friends | List of all members
LotusSpreadsheetInternal::Cell Class Reference

a cellule of a Lotus spreadsheet More...

Inheritance diagram for LotusSpreadsheetInternal::Cell:

## Public Member Functions
| Cell ()
| constructor More...
bool | send (WPSListenerPtr &)
| call when a cell must be send More...
bool | sendContent (WPSListenerPtr &)
| call when the content of a cell must be send More...
Public Member Functions inherited from WPSCell
| WPSCell ()
| constructor More...
virtual | ~WPSCell ()
| destructor More...
void | addTo (librevenge::RVNGPropertyList &propList) const
| add to the propList More...
void | setBox (Box2f const &b)
| set the bounding box (units in point) More...
Box2f const & | box () const
| return the bounding box More...
bool | isVerticalSet () const
| returns true if the vertical is fixed More...
void | setVerticalSet (bool verticalSet)
| fixes or not the vertical size More...
Vec2i & | position ()
| position accessor More...
Vec2i const & | position () const
| position accessor More...
void | setPosition (Vec2i posi)
| set the cell positions : 0,0 -> A1, 0,1 -> A2 More...
Vec2i const & | numSpannedCells () const
| returns the number of spanned cells More...
void | setNumSpannedCells (Vec2i numSpanned)
| sets the number of spanned cells : Vec2i(1,1) means 1 cellule More...
Public Member Functions inherited from WPSCellFormat
| WPSCellFormat ()
| constructor More...
virtual | ~WPSCellFormat ()
| destructor More...
bool | hasBasicFormat () const
| returns true if this is a basic format style More...
std::string | getValueType () const
| returns a value type More...
void | addTo (librevenge::RVNGPropertyList &propList) const
| add to the propList More...
bool | getNumberingProperties (librevenge::RVNGPropertyList &propList) const
| get the number style More...
WPSFont const & | getFont () const
| returns the font More...
void | setFont (WPSFont const &font)
| sets the font More...
HorizontalAlignment | hAlignement () const
| returns the horizontal alignement More...
void | setHAlignement (HorizontalAlignment align)
| sets the horizontal alignement More...
VerticalAlignment | vAlignement () const
| returns the vertical alignement More...
void | setVAlignement (VerticalAlignment align)
| sets the vertical alignement More...
FormatType | getFormat () const
| returns the format type More...
int | getSubFormat () const
| returns the subformat type More...
std::string | getDTFormat () const
| returns the date/time format ( if set) More...
void | setFormat (FormatType form, int subForm=0)
| sets the format type More...
void | setDTFormat (FormatType form, std::string const &dtFormat="")
| sets the format type More...
int | digits () const
| returns the number of digits ( for a number) More...
void | setDigits (int newDigit)
| set the number of digits ( for a number) More...
bool | isProtected () const
| returns true if the cell is protected More...
void | setProtected (bool fl)
| returns true if the cell is protected More...
bool | hasBorders () const
| return true if the cell has some border More...
std::vector< WPSBorder > const & | borders () const
| return the cell border: libwps::LeftBit | ... More...
void | resetBorders ()
| reset the border More...
void | setBorders (int wh, WPSBorder const &border)
| sets the cell border: wh=WPSBorder::LeftBit|... More...
void | setBorders (std::vector< WPSBorder > const &newBorders)
| sets the cell borders More...
WPSColor | backgroundColor () const
| returns the background color More...
void | setBackgroundColor (WPSColor const &color)
| set the background color More...
int | compare (WPSCellFormat const &cell, bool onlyNumbering=false) const
| a comparison function More...

## Public Attributes
int | m_styleId
| the style More...
WPSCellFormat::HorizontalAlignment | m_hAlign
| the horizontal align (in dos file) More...
WKSContentListener::CellContent | m_content
| the content More...
WPSEntry | m_comment
| the comment entry More...

## Friends
std::ostream & | operator<< (std::ostream &o, Cell const &cell)
| operator<< More...

## Additional Inherited Members
Public Types inherited from WPSCellFormat
enum | HorizontalAlignment { HALIGN_LEFT, HALIGN_RIGHT, HALIGN_CENTER, HALIGN_FULL, HALIGN_DEFAULT }
| the default horizontal alignement. More...
enum | VerticalAlignment { VALIGN_TOP, VALIGN_CENTER, VALIGN_BOTTOM, VALIGN_DEFAULT }
| the default vertical alignement. More...
enum | FormatType { F_TEXT, F_BOOLEAN, F_NUMBER, F_DATE, F_TIME, F_UNKNOWN }
| the different types of cell's field More...
Static Protected Member Functions inherited from WPSCellFormat
static bool | convertDTFormat (std::string const &dtFormat, librevenge::RVNGPropertyListVector &propListVector)
| convert a DTFormat in a propertyList More...
Protected Attributes inherited from WPSCell
Box2f | m_box
| the cell bounding box (unit in point) More...
bool | m_verticalSet
| true if y size is fixed More...
Vec2i | m_position
| the cell row and column : 0,0 -> A1, 0,1 -> A2 More...
Vec2i | m_numberCellSpanned
| the cell spanned : by default (1,1) More...
Protected Attributes inherited from WPSCellFormat
WPSFont | m_font
| the cell font ( used in spreadsheet code ) More...
HorizontalAlignment | m_hAlign
| the cell alignement : by default nothing More...
VerticalAlignment | m_vAlign
| the cell vertical alignement : by default nothing More...
std::vector< WPSBorder > | m_bordersList
| the cell border WPSBorder::Pos More...
FormatType | m_format
| the cell format : by default unknown More...
int | m_subFormat
| the sub format More...
std::string | m_DTFormat
| a date/time format ( using a subset of strftime format ) More...
int | m_digits
| the number of digits More...
bool | m_protected
| cell protected More...
WPSColor | m_backgroundColor
| the backgroung color More...

## Detailed Description

a cellule of a Lotus spreadsheet

## Constructor & Destructor Documentation

LotusSpreadsheetInternal::Cell::Cell | ( |  | ) |
| inline

constructor

## Member Function Documentation

bool LotusSpreadsheetInternal::Cell::send | ( | WPSListenerPtr & |  | ) |
| inlinevirtual

call when a cell must be send

Implements WPSCell.

bool LotusSpreadsheetInternal::Cell::sendContent | ( | WPSListenerPtr & |  | ) |
| inlinevirtual

call when the content of a cell must be send

Implements WPSCell.

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | Cell const & | cell
| ) |  |
| friend

operator<<

## Member Data Documentation

WPSEntry LotusSpreadsheetInternal::Cell::m_comment

the comment entry

Referenced by LotusSpreadsheet::readCell(), and LotusSpreadsheet::sendCellContent().

WKSContentListener::CellContent LotusSpreadsheetInternal::Cell::m_content

the content

Referenced by LotusSpreadsheetInternal::operator<<(), LotusSpreadsheet::readCell(), and LotusSpreadsheet::sendCellContent().

WPSCellFormat::HorizontalAlignment LotusSpreadsheetInternal::Cell::m_hAlign

the horizontal align (in dos file)

Referenced by LotusSpreadsheetInternal::operator<<(), LotusSpreadsheet::readCell(), and LotusSpreadsheet::sendCellContent().

int LotusSpreadsheetInternal::Cell::m_styleId

the style

Referenced by LotusSpreadsheetInternal::operator<<().

The documentation for this class was generated from the following file:

- LotusSpreadsheet.cpp